Permalink
Browse files

Updated dependencies and gemspec

  • Loading branch information...
1 parent dbd66bf commit 69107dd7dd6981ed0494d5fe55766cd806d0a0e5 @arax arax committed Aug 2, 2013
Showing with 25 additions and 3 deletions.
  1. +10 −1 .gitignore
  2. +13 −0 Gemfile
  3. +2 −2 occi.gemspec
View
11 .gitignore
@@ -1,4 +1,13 @@
-Gemfile.lock
+*.gem
*.swp
+.project
+.idea
+.yardoc
+.bundle
+.rvmrc
pkg
+tmp
+log
coverage
+vendor
+Gemfile.lock
View
13 Gemfile
@@ -1,3 +1,16 @@
source "https://rubygems.org/"
gemspec
+
+group :development do
+ gem 'warbler', :git => 'git://github.com/jruby/warbler.git', :ref => 'ce3ce4df137504822e4cbb9399dee7e7dd767c44'
+ gem 'rubygems-tasks', :git => 'git://github.com/postmodern/rubygems-tasks.git'
+end
+
+platforms :jruby do
+ gem 'jruby-openssl' if ((defined? JRUBY_VERSION) && (JRUBY_VERSION.split('.')[1].to_i < 7))
+end
+
+platforms :ruby_18 do
+ gem 'oniguruma'
+end
View
4 occi.gemspec
@@ -16,8 +16,8 @@ Gem::Specification.new do |gem|
gem.add_dependency 'occi-cli'
- gem.add_development_dependency 'rubygems-tasks'
gem.add_development_dependency 'rake'
- gem.required_ruby_version = ">= 1.8.7"
+ gem.required_ruby_version = ">= 1.8.7"
+ gem.post_install_message = "This gem is just a wrapper providing backward compatibility and might be removed in the future! Please, consider using 'occi-cli' directly."
end

0 comments on commit 69107dd

Please sign in to comment.